%define	xemacsver	21.4.11

Name:		w3m-el
Version:	1.4.4
Release:	1
License:	BSD
URL:		http://emacs-w3m.namazu.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildPreReq:	emacs
BuildPreReq:	xemacs >= %{xemacsver}, flim-xemacs
BuildPreReq:	flim
BuildPreReq:	apel

Source:		http://emacs-w3m.namazu.org/emacs-w3m-%{version}.tar.gz
Source1:	w3m-init.el


Summary:	W3m interface for Emacs
Group:		Applications/Internet
Requires:	%{name}-common = %{version}
Requires:	emacs-common flim w3m
Provides:	webclient

%description
W3m is a text based World Wide Web browser with IPv6 support. It
features excellent support for tables and frames. It can be used as a
standalone pager such as lv, less, and more.


%package xemacs
Summary:	W3m interface for XEmacs
Group:		Applications/Internet
Requires:	%{name}-common = %{version}
Requires:	xemacs-common
Requires:	flim-xemacs w3m
Provides:	webclient

%description xemacs
W3m is a text based World Wide Web browser with IPv6 support. It
features excellent support for tables and frames. It can be used as a
standalone pager such as lv, less, and more.


%package common
Summary:	Common files for W3m interface of emacsen
Group:		Applications/Internet
Prereq:		/sbin/install-info

%description common
This package contains common files which w3m-el and w3m-el-xemacs needs.


%prep
%setup -q -n emacs-w3m-%{version}

%__chmod a+x configure


%build


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/xemacs/site-packages/lisp/site-start.d

#
# for Emacs
#
%configure --with-icondir=\$\(prefix\)/share/pixmaps/w3m-el
make
%makeinstall
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d
make install-icons prefix=$RPM_BUILD_ROOT%{_prefix} datadir=$RPM_BUILD_ROOT%{_datadir}

make distclean

#
# for XEmacs
#
%configure --with-xemacs --with-packagedir=\$\(datadir\)/xemacs/xemacs-packages --with-lispdir=\$\(datadir\)/xemacs/xemacs-packages/lisp/w3m --with-icondir=\$\(datadir\)/pixmaps/w3m-el
make
make install-package prefix=$RPM_BUILD_ROOT%{_prefix} datadir=$RPM_BUILD_ROOT%{_datadir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/xemacs/site-packages/lisp/site-start.d

## remove unpackaged files.
rm -rf $RPM_BUILD_ROOT%{_datadir}/xemacs/xemacs-packages/etc/images/w3m
rm -rf $RPM_BUILD_ROOT%{_datadir}/xemacs/xemacs-packages/info
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post common
/sbin/install-info %{_infodir}/emacs-w3m.info \
	%{_infodir}/dir --section="GNU Emacs Lisp"
/sbin/install-info %{_infodir}/emacs-w3m-ja.info \
	%{_infodir}/dir --section="GNU Emacs Lisp"

%preun common
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/emacs-w3m.info \
		%{_infodir}/dir --section="GNU Emacs Lisp"
	/sbin/install-info --delete %{_infodir}/emacs-w3m-ja.info \
		%{_infodir}/dir --section="GNU Emacs Lisp"
fi

%files
%defattr (-, root, root)
%doc COPYING ChangeLog ChangeLog.1 README README.ja
%dir %{_datadir}/emacs/site-lisp/w3m
%{_datadir}/emacs/site-lisp/w3m/*
%{_datadir}/emacs/site-lisp/site-start.d/w3m-init.el

%files xemacs
%defattr (-, root, root)
%doc COPYING ChangeLog ChangeLog.1 README README.ja
%dir %{_datadir}/xemacs/xemacs-packages/lisp/w3m
%{_datadir}/xemacs/xemacs-packages/lisp/w3m/*
%{_datadir}/xemacs/site-packages/lisp/site-start.d/w3m-init.el

%files common
%defattr (-, root, root)
%doc COPYING ChangeLog ChangeLog.1 README README.ja
%dir %{_datadir}/pixmaps/w3m-el
%{_datadir}/pixmaps/w3m-el/*
%{_infodir}/*

%changelog
* Mon May  9 2005 Akira TAGOH <tagoh@redhat.com> - 1.4.4-1
- Updates to 1.4.4.
- import into Extras.
- get back -xemacs package again.

* Tue Feb 22 2005 Elliot Lee <sopwith@redhat.com> 1.4.3-4
- Remove xemacs

* Thu Feb 10 2005 Akira TAGOH <tagoh@redhat.com> - 1.4.3-3
- rebuilt

* Wed Oct  6 2004 Akira TAGOH <tagoh@redhat.com> - 1.4.3-2
- require emacs-common instead of emacs
- require xemacs-common instead of xemacs

* Wed Aug 18 2004 Akira TAGOH <tagoh@redhat.com> 1.4.3-1
- New upstream release.

* Thu Jul 15 2004 Akira TAGOH <tagoh@redhat.com> 1.4.2-1
- New upstream release.

* Fri Jul 09 2004 Akira TAGOH <tagoh@redhat.com> 1.4.1-1
- New upstream release.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 06 2004 Akira TAGOH <tagoh@redhat.com> 1.4-1
- New upstream release.
- w3m-el-1.3.6-m17n.patch: removed.

* Wed Apr 07 2004 Akira TAGOH <tagoh@redhat.com> 1.3.6-6
- w3m-el-1.3.6-m17n.patch: applied a backport patch from CVS to support w3m-0.5.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Sep 30 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- prereq /sbin/install-info

* Wed Sep 03 2003 Akira TAGOH <tagoh@redhat.com> 1.3.6-3
- removed ExcludeArch: ia64.

* Mon Sep 01 2003 Akira TAGOH <tagoh@redhat.com> 1.3.6-2
- fixed missing fi statement. (#102043)
- moved the elisp location to xemacs-packages
- add ExcludeArch: ia64 to build and close a bug.

* Tue Jul 22 2003 Akira TAGOH <tagoh@redhat.com> 1.3.6-1
- New upstream release.

* Mon Jul 07 2003 Elliot Lee <sopwith@redhat.com> 1.3.5-2
- Don't package /usr/share/info/dir

* Mon Jul 07 2003 Akira TAGOH <tagoh@redhat.com> 1.3.5-1
- New upstream release.

* Fri Jun 20 2003 Akira TAGOH <tagoh@redhat.com> 1.3.4-1
- New upstream release.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 14 2003 Elliot Lee <sopwith@redhat.com> 1.3.3-5
- Remove ExcludeArch

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 Akira TAGOH <tagoh@redhat.com> 1.3.3-3
- according to xemacs 21.4.11, moved the install path for elisp.
- add ExcludeArch alpha ia64 ppc. right now our xemacs doesn't support these arch.
- w3m-el-1.3.3-libdir.patch: removed.

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1.3.3-2
- x86_64 has xemacs now, don't excludearch it
- alpha neither

* Wed Oct 30 2002 Akira TAGOH <tagoh@redhat.com> 1.3.3-1
- New upstream release.
- w3m-el-1.3.3-libdir.patch: add libdir to Makefile.
- exclude x86_64 until provides xemacs.

* Mon Oct 21 2002 Akira TAGOH <tagoh@redhat.com> 1.3.2-1
- New upstream release.
- w3m-el-1.3.1-fixwrongtypearg.patch: removed because it's no longer needed.

* Sat Aug 24 2002 Akira TAGOH <tagoh@redhat.com> 1.3.1-1
- New upstream release. contains more bug fix.
- w3m-el-1.3.1-fixwrongtypearg.patch: applied to fix (wrong-type-argument
  integerp nil) error.

* Tue Jul 09 2002 Akira TAGOH <tagoh@redhat.com> 1.3-1
- New upstream release.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jun 21 2002 Akira TAGOH <tagoh@redhat.com> 1.2.8-1
- New upstream release.

* Thu Jun 06 2002 Akira TAGOH <tagoh@redhat.com> 1.2.7-1
- New upstream release.

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Mar 12 2002 Akira TAGOH <tagoh@redhat.com> 1.2.6-1
- New upstream release.

* Tue Mar 12 2002 Akira TAGOH <tagoh@redhat.com> 1.2.5-1
- New upstream release.
- w3m-el-common: new package, to separated common files.
- w3m-init.el: add w3m-icon-directory.

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 1.2.4-4
- Disable alpha because nothing is xemacs for alpha now.
- Enable ia64.

* Fri Feb 22 2002 Akira TAGOH <tagoh@redhat.com> 1.2.4-3
- Build against new environment.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Akira TAGOH <tagoh@redhat.com> 1.2.4-1
- New upstream release.

* Thu Dec  6 2001 Akira TAGOH <tagoh@redhat.com> 1.2.2-1
- New upstream release.

* Tue Nov 13 2001 Akira TAGOH <tagoh@redhat.com> 1.2.1-1
- New upstream release.

* Tue Nov  6 2001 Akira TAGOH <tagoh@redhat.com> 1.2-1
- New upstream release.
- s/Copyright/License/
- Added a package for xemacs
- Added requires: w3m
- Added w3m-init.el
- Added directories owner

* Thu Aug 30 2001 SATO Satoru <ssato@redhat.com> - 1.0-4
- fixed %%files (#51982)
- remove the parts commented

* Sat Jun 23 2001 SATO Satoru <ssato@redhat.com>
- get backed build-dependencies.

* Sat Jun 23 2001 SATO Satoru <ssato@redhat.com>
- build as architecture specific rpm.

* Wed Jun 20 2001 SATO Satoru <ssato@redhat.com>
- Initial release (separated from w3m)

